Bug 241629 - [en_US] Unable to trigger input method using ctrl+space
[en_US] Unable to trigger input method using ctrl+space
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
7
All Linux
high Severity high
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 01:04 EDT by Eugene Teo (Security Response)
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 23:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of SCIM Input Method Setup: FrontEnd: Global Setup. (56.04 KB, image/png)
2007-05-29 01:04 EDT, Eugene Teo (Security Response)
no flags Details

  None (edit)
Description Eugene Teo (Security Response) 2007-05-29 01:04:51 EDT
Description of problem:
When I left-click the scim panel applet, nothing appears. I can't configure it
nor select the input method. The SCIM Input Method Setup: FrontEnd: Global Setup
screen looks wrong. The hotkeys are not listed, and I suspect that could be the
problem why it didn't work for me in the first place.

When I try to run a scim-aware app, i.e. pidgin, ctrl+space has no effect. Not
even when I run "GTK_IM_MODULE=scim-bridge gedit".

This is a fresh rawhide install since this morning. I did not do any
configurations on scim, except to run it automatically using gnome-sessions when
I start logging in. I compared the list of rpms with cchance, and we have got
matching rpm versions. It worked previously, with an earlier version of rawhide.

In im-chooser, I also selected "Use custom input method: scim", and have also
restarted my desktop.

Version-Release number of selected component (if applicable):
[eteo@kerndev ~]$ rpm -qa | grep scim
scim-anthy-1.2.2-3.fc7
scim-bridge-gtk-0.4.10-1.fc7
scim-libs-1.4.5-18.fc7
scim-1.4.5-18.fc7
scim-tables-0.5.7-3.fc7
scim-tables-chinese-0.5.7-3.fc7
scim-chewing-0.3.1-9.fc7
scim-bridge-0.4.10-1.fc7
scim-pinyin-0.5.91-16.fc7
scim-m17n-0.2.1-1.fc7
scim-hangul-0.3.1-1.fc7
[eteo@kerndev ~]$ rpm -qa | grep fonts
xorg-x11-fonts-75dpi-7.1-3.fc7
fonts-chinese-3.03-4.fc7
fonts-japanese-0.20061016-6.fc7
xorg-x11-fonts-misc-7.1-3.fc7
tetex-fonts-3.0-39.fc7
bitmap-fonts-0.3-5.1.2.fc7
mplayer-fonts-1.1-4.lvn6
urw-fonts-2.3-6.1.1
ghostscript-fonts-5.50-16.fc7
xorg-x11-fonts-base-7.1-3.fc7
xorg-x11-fonts-ISO8859-1-75dpi-7.1-3.fc7
xorg-x11-fonts-Type1-7.1-3.fc7
dejavu-lgc-fonts-2.15-1
xorg-x11-fonts-100dpi-7.1-3.fc7
xorg-x11-fonts-truetype-7.1-3.fc7
fonts-korean-1.0.11-9.1.1
xorg-x11-fonts-ISO8859-1-100dpi-7.1-3.fc7

How reproducible:
Fresh rawhide install as of May 29, 2007 (GMT+8).

Steps to Reproduce:
1. Click on the scim panel applet (keyboard icon), but nothing appears.
or
1. Run "GTK_IM_MODULE=scim-bridge gedit", but nothing appears when I press
ctrl+space.
  
Actual results:
Nothing happened.

Expected results:
I should be able to see a menu when I click the scim panel applet or see a list
of input methods to choose when I press ctrl+space.

Additional info:
[eteo@kerndev ~]$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

I have also attached a screenshot of the SCIM Input Method Setup.
Comment 1 Eugene Teo (Security Response) 2007-05-29 01:04:51 EDT
Created attachment 155573 [details]
Screenshot of SCIM Input Method Setup: FrontEnd: Global Setup.
Comment 3 Jens Petersen 2007-05-29 05:10:15 EDT
fixing first in scim-1.4.6-2.fc8
Comment 4 Jens Petersen 2007-05-30 00:26:07 EDT
I tagged scim-1_4_5-19_fc7 in cvs, but unable to build currently in koji.
Comment 5 Jens Petersen 2007-05-30 19:02:12 EDT
Improved patch is in scim-1.4.6-3.fc8.
Comment 6 Jens Petersen 2007-06-01 03:01:47 EDT
Package has been submitted to the Updates system.
Comment 7 Fedora Update System 2007-06-04 00:14:54 EDT
scim-1.4.5-20.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jens Petersen 2007-07-23 23:39:54 EDT
This should be fixed by scim-0:1.4.5-21.fc7, but it is probably
necessary to remove "~/.scim/config" for the fix to take effect.

Note You need to log in before you can comment on or make changes to this bug.